<%@ page import="com.s3ai.entities.User" %>
<%@ page import="java.util.UUID" %>
<%--
  Created by IntelliJ IDEA.
  User: s3rius
  Date: 08.12.2019
  Time: 22:04
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Edit ticket</title>
    <%@include file='../templates/imports.jsp' %>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/static/css/tickets.css">
    <script src="${pageContext.request.contextPath}/static/js/tickets.js"></script>
</head>
<body class="themed-gradient">
<%
    User user = (User) request.getSession().getAttribute("user");
    String id = user.getId() == null ? "" : user.getId().toString();
    String name = user.getName() == null ? "" : user.getName();
    Integer age = user.getAge() == null ? 0 : user.getAge();
    String action = id == null ? "Create" : "Update";
%>

<!-- Navigation -->
<%@include file='../templates/header.jsp' %>
<div class="editing">
    <div class="container justify-content-center">

        <form id="ticketForm" class="d-flex justify-content-center" method="post"
              action="${pageContext.request.contextPath}/user">
            <fieldset>

                <legend>
                    <div class="text-center"><h2><b class="white"><%out.print(action);%> user</b></h2></div>
                </legend>
                <br>
                <input type="hidden" name="id" value="<%out.print(id);%>">

                <div class="form-group">
                    <div class="inputGroupContainer">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-user-circle"></i></div>
                            </div>
                            <input type="text"
                                   class="form-control validate"
                                   id="userName"
                                   name="name"
                                   placeholder="Users's name" value="<%out.println(name);%>" required>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="inputGroupContainer">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="far fa-calendar"></i></div>
                            </div>
                            <input type="number"
                                   class="form-control validate"
                                   id="userAge"
                                   name="age"
                                   placeholder="User's age"
                                   value="<%out.print(age);%>" required>
                        </div>
                    </div>
                </div>
                <div class="justify-content-center">
                    <button type="submit" class="btn btn-primary w-100"><i class="fas fa-check"></i>Submit</button>
                </div>
            </fieldset>
        </form>
    </div>
</div>
</body>
</html>
